Validate Payment
4 min
Introduction
This API is called for checking payment details after the bill is paid with Bill Payment API.
Headers
The Headers remain the same for all the API calls.
curl --location --request POST 'https://api-preproduction.signzy.app/api/v3/checkPaymentDetails' \
--header 'Authorization: <AUTH KEY>' \
--header 'Content-Type: application/json' \
--header 'Client-Id: <Client ID>' \
--header 'Client-Secret: <Client Secret Key>' \
--data-raw '{
"urlAppend":"<trxn_id by billPayAPI>",
"trxnId": "<merchantTrxnRefIdgiven by billPayAPI>"
}'Request Parameters
Key | Type | Parameter Description |
|---|---|---|
trxn_id | String | Pass the merchantTrxnRefIdgiven by billPayAPI |
urlAppend | String | Pass the trxn_id by billPayAPI |
Response
Key | Type |
|---|---|
trxnRefId | String |
refId | String |
HTTP Response Codes
Status Code | Description |
|---|---|
200 | All response details are valid |
40x | not found, bad request, conflict |